com.amazonaws.services.workspaces.model

## Class FailedCreateWorkspaceRequest

- java.lang.Object
- - com.amazonaws.services.workspaces.model.FailedCreateWorkspaceRequest

All Implemented Interfaces:
  Serializable, Cloneable

    public class FailedCreateWorkspaceRequest
    extends Object
    implements Serializable, Cloneable

Contains information about a WorkSpace that could not be created.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`FailedCreateWorkspaceRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`FailedCreateWorkspaceRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getErrorCode()` The error code.
`String` `getErrorMessage()` The textual error message.
`WorkspaceRequest` `getWorkspaceRequest()` A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.
`int` `hashCode()`
`void` `setErrorCode(String errorCode)` The error code.
`void` `setErrorMessage(String errorMessage)` The textual error message.
`void` `setWorkspaceRequest(WorkspaceRequest workspaceRequest)` A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`FailedCreateWorkspaceRequest` `withErrorCode(String errorCode)` The error code.
`FailedCreateWorkspaceRequest` `withErrorMessage(String errorMessage)` The textual error message.
`FailedCreateWorkspaceRequest` `withWorkspaceRequest(WorkspaceRequest workspaceRequest)` A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FailedCreateWorkspaceRequest

    public FailedCreateWorkspaceRequest()

### Method Detail

#### setWorkspaceRequest

    public void setWorkspaceRequest(WorkspaceRequest workspaceRequest)

A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.

Parameters:
  `workspaceRequest` - A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.

#### getWorkspaceRequest

    public WorkspaceRequest getWorkspaceRequest()

A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.

Returns:
  A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.

#### withWorkspaceRequest

    public FailedCreateWorkspaceRequest withWorkspaceRequest(WorkspaceRequest workspaceRequest)

A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.

Parameters:
  `workspaceRequest` - A FailedCreateWorkspaceRequest$WorkspaceRequest object that contains the information about the WorkSpace that could not be created.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorCode

    public void setErrorCode(String errorCode)

The error code.

Parameters:
  `errorCode` - The error code.

#### getErrorCode

    public String getErrorCode()

The error code.

Returns:
  The error code.

#### withErrorCode

    public FailedCreateWorkspaceRequest withErrorCode(String errorCode)

The error code.

Parameters:
  `errorCode` - The error code.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setErrorMessage

    public void setErrorMessage(String errorMessage)

The textual error message.

Parameters:
  `errorMessage` - The textual error message.

#### getErrorMessage

    public String getErrorMessage()

The textual error message.

Returns:
  The textual error message.

#### withErrorMessage

    public FailedCreateWorkspaceRequest withErrorMessage(String errorMessage)

The textual error message.

Parameters:
  `errorMessage` - The textual error message.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public FailedCreateWorkspaceRequest clone()

Overrides:
  `clone` in class `Object`